package aicg.wipf.vzuj

import aicg.wipf.vzuj.Kmqp.string
import android.util.Log
import com.test.basd.smartjunkcleaner.BuildConfig
import com.test.basd.smartjunkcleaner.R

object Bnpt {

    val filterTAG = arrayOf(
        R.string.ސޗގފވ_D.string(), R.string.ޝޙލދޅ_D.string(), )

    val isOpen = true

    private fun ޛތޒޖތޗދޝ(tag: String, content: String, isMust: Boolean = false) {
        ޓޜޘޡއޚޔޘ(tag, content, isMust)
    }

    private fun ޓޜޘޡއޚޔޘ(tag: String, content: String, isMust: Boolean = false) {
        if (isMust) {
            Log.e(tag, content)
        } else {
            if (!isOpen) return
            if (filterTAG.contains(tag)) return
            if (BuildConfig.DEBUG) {
                Log.e(tag, content)
            }
        }
    }

    fun logDebug(tag: String, content: String, isMust: Boolean = false) {
        ޛތޒޖތޗދޝ(tag, content, isMust)
    }
}